#include "Ellipse.h"

/*
 * © 2012, Lewis E. Johnson
 * Developed by Lewis E. Johnson and Robin Barnes, Robinson Group, University of Washington.
 * Released under University of Illinois/NCSA Open Source License. See LICENSE.txt for details.
 */

// This is the constructor for the ellipse class, which stores the parameters for an individual ellipse
//within a molecule.
Ellipse::Ellipse(double* Axes, double* Dipole, double vdw)
{
	for (int i=0;i<3;i++)
	{
		dipole.vec[i]= Dipole[i];
		mu_pos.vec[i]= Dipole[i+3];
		saxes.vec[i]= Axes[i];
	}
	
	if (dipole*dipole == 0.0) hasmu = 0;
	else hasmu = 1;
	hasq = 0;

	Vvdw = vdw;
}

Ellipse::~Ellipse(void)
{
}
