#pragma once
#include "utility_functions.h"

/*
 * © 2012, Lewis E. Johnson
 * Developed by Lewis E. Johnson and Robin Barnes, Robinson Group, University of Washington.
 * Released under University of Illinois/NCSA Open Source License. See LICENSE.txt for details.
 */

class Ellipse
{
public:
	Vec3 saxes;	//Semiaxes of ellipse
	Vec3 dipole;	//Dipole moment of ellipse
	Vec3 mu_pos;	//Dipole position inslide ellipse
	Vec3* qpos;	//Charge position inside ellipse (not currently used)
	double Vvdw;	//LJ epsilon for ellipse
	double* qmag;	//Charge magnitude for ellipse (not currently used)
	bool hasmu;	//Whether or not the ellipse has a dipole in it
	bool hasq;	//Whether or not the ellipse has a charge in it (not currently used)
	Ellipse(double* Axes, double* Dipole, double vdw); //Constructor for dipolar ellipses
	Ellipse(double* Axes, double* Qpos, double* Qmag, double vdw);	//Constructor for ionic ellipses (not currently used)
    

public:
	~Ellipse(void);
};
