#pragma once
#include "Molecule.h"

/*
 * © 2012, Lewis E. Johnson
 * Developed by Lewis E. Johnson and Robin Barnes, Robinson Group, University of Washington.
 * Released under University of Illinois/NCSA Open Source License. See LICENSE.txt for details.
 */

class LatticeOids3d
{
private:
	Molecule** my_BeOids;	//The ensemble of molecules inside the lattice
public:
	LatticeOids3d(Molecule** BeOids,Molecule &s,Molecule &t);	//Lattice constructor
	~LatticeOids3d();

};

void SimpleCubic(Molecule** BeOids);	//Make a simple cubic lattice
void SeqLoad(Molecule** BeOids, Molecule &s, Molecule &t);	//Sequentially load molecules into the lattice
void RandLoad(Molecule** BeOids, Molecule &s, Molecule &t);	//Randomly load molecules into the lattice
void LoadCoordFile(Molecule** BeOids,Molecule &s,Molecule &t, string cfn);	//Read in a coordinate file