#pragma once
#include "Molecule.h"
#include "Vmumu.h"
#include "VLJ.h"
#include "get_rs_mus.h"

/*
 * © 2012, Lewis E. Johnson
 * Developed by Lewis E. Johnson and Robin Barnes, Robinson Group, University of Washington.
 * Released under University of Illinois/NCSA Open Source License. See LICENSE.txt for details.
 */
//Single step function called by evolve_system, calculates distances and potential energy
//Since only one ellipsoid is moved per move, only the energy of that ellipsoid's interactions with other
//ellipsoids within the cutoff are calculated, since delta_U only depends on interactions involving the ellipsoid that moves.

void OneStep(Molecule** BeOids, Vec3* mus, int &kk,double &Vmumu, double &VLJ, bool &skipmumu);


