#pragma once
#include "Molecule.h"
#include "newtouch.h"

/*
 * © 2012, Lewis E. Johnson
 * Developed by Lewis E. Johnson and Robin Barnes, Robinson Group, University of Washington.
 * Released under University of Illinois/NCSA Open Source License. See LICENSE.txt for details.
 */

//Calculation of Lennard-Jones interactions. The notouch varients are redundant since Touch (Perram & Wertheim contact function) 
//is called only if needed
double VSS_notouch(Molecule** BeOids, int &kk,int &i,double &distance);	//Soft-sphere interactions (nuclear repulsion only)
double simpleVLJ_notouch(Molecule** BeOids, int &kk,int &i,double &distance);	//Lennard-jones interactions for spheres assuming repulsive power is twice attractive (e.g. 12-6)
double VLJ_notouch(Molecule** BeOids, int &kk,int &i,double &distance, double &distance_squared);	//Arbitrary Lennard_Jones function which may include attenuating function
double simpleVLJ_touch(Molecule** BeOids, int kk, int i, Vec3 &Rmu, double distance);	//Equivalent to simpleVLJ_notouch, but for arbitrary ellipsoids
double VSE_touch(Molecule** BeOids, int kk, int i, Vec3 &Rmu, double distance);	//Soft-ellipsoid interactions (anisotropic repulsion)

