/*
 *
 * © 2012, Lewis E. Johnson
 * Developed by Lewis E. Johnson and Robin Barnes, Robinson Group, University of Washington.
 * Released under University of Illinois/NCSA Open Source License. See LICENSE.txt for details.
 *
 *  get_means.h
 *  Created by ljohnson on 12/30/08.
 */

#pragma once
#include "Molecule.h"


void get_means(Molecule** BeOids, Vec3* mus, Vec3 &temp_means, Vec3 &M); //Calculate total dipole moment and order parameters
double update_eps(Vec3* thedipoles);	//Self-consistently update the reaction field (if SCRF is enabled)
void setup_extended_means();	//Open a file to store extended means info if requested
void get_extended_means(Molecule** BeOids);	//Calculated extended means (order parameters wrt x,y,z axis)
void setup_binary_means();	//Same as setup_extended_means, but for separate A and B
void get_binary_means(Molecule** BeOids);	//Same as get_means, but also records averages for A and B separately
void final_eps(Vec3 &M, double M2, double* eps_array);	//Calculate average dielectric constant for output
