/*
 * © 2012, Lewis E. Johnson
 * Developed by Lewis E. Johnson and Robin Barnes, Robinson Group, University of Washington.
 * Released under University of Illinois/NCSA Open Source License. See LICENSE.txt for details.
 *
 *  get_rs_mus.h
 *  Created by ljohnson on 12/30/08.
 */

#pragma once
#include "Molecule.h"

void apply_pbcs(Vec3& rvec);	//Apply periodic boundary conditions as appropriate, helper for get_distances
void get_distances(Molecule** BeOids, Vec3 &dr, Vec3* r_mus);	//Calculate distance vectors
void get_dipoles(Molecule** BeOids, Vec3* mus);	//Store lab-frame dipole moments for all ellipsoids
void update_dipoles(Molecule* TheOid, Vec3 &themu);	//Update the lab-frame dipole moment of an ellipsoid if it moves
//bool check_cutoff(Vec3 &thedist, double r, double* cut_dist, int cuttype);	//Helper function for arbitrary cutoffs
void offcenter_mu(Molecule** BeOids, Vec3 &tmprmu, int i, int k);	//Helper function used for off-center dipoles (slow and kludgy)