/*
 *
 * © 2012, Lewis E. Johnson
 * Developed by Lewis E. Johnson and Robin Barnes, Robinson Group, University of Washington.
 * Released under University of Illinois/NCSA Open Source License. See LICENSE.txt for details.
 *
 *  setup.h
 *  Created by ljohnson on 5/31/09.
 */

#pragma once
#include "Molecule.h"

void phys_cnsts();	//Load physical constants into cnsts
void setup_vdw();	//Precalculate reusable parameters for LJ interactions and load into cnsts
void setup_electrostatics();	//Configure electrostatics calculations, including reaction field
void check_box();	//Check periodic boundary conditions and calculate box volume
void final_validation(); //Check essential simulation parameters to make sure it is runnable (e.g. not zero particles, etc)
void check_oids(Molecule** BeOids);
void check_infile(); //If reading a coordinate file, make sure it exists and is in the proper format
void open_summary (); //Open batch summary file and write header data
